v0.2.2 release
[yandexfotkisp] / config.status
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization.  ##
13 ## --------------------- ##
14
15 # Be more Bourne compatible
16 DUALCASE=1; export DUALCASE # for MKS sh
17 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18   emulate sh
19   NULLCMD=:
20   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21   # is contrary to our usage.  Disable this feature.
22   alias -g '${1+"$@"}'='"$@"'
23   setopt NO_GLOB_SUBST
24 else
25   case `(set -o) 2>/dev/null` in
26   *posix*) set -o posix ;;
27 esac
28
29 fi
30
31
32
33
34 # PATH needs CR
35 # Avoid depending upon Character Ranges.
36 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39 as_cr_digits='0123456789'
40 as_cr_alnum=$as_cr_Letters$as_cr_digits
41
42 # The user is always right.
43 if test "${PATH_SEPARATOR+set}" != set; then
44   echo "#! /bin/sh" >conf$$.sh
45   echo  "exit 0"   >>conf$$.sh
46   chmod +x conf$$.sh
47   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48     PATH_SEPARATOR=';'
49   else
50     PATH_SEPARATOR=:
51   fi
52   rm -f conf$$.sh
53 fi
54
55 # Support unset when possible.
56 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57   as_unset=unset
58 else
59   as_unset=false
60 fi
61
62
63 # IFS
64 # We need space, tab and new line, in precisely that order.  Quoting is
65 # there to prevent editors from complaining about space-tab.
66 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
67 # splitting by setting IFS to empty value.)
68 as_nl='
69 '
70 IFS=" ""        $as_nl"
71
72 # Find who we are.  Look in the path if we contain no directory separator.
73 case $0 in
74   *[\\/]* ) as_myself=$0 ;;
75   *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76 for as_dir in $PATH
77 do
78   IFS=$as_save_IFS
79   test -z "$as_dir" && as_dir=.
80   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81 done
82 IFS=$as_save_IFS
83
84      ;;
85 esac
86 # We did not find ourselves, most probably we were run as `sh COMMAND'
87 # in which case we are not to be found in the path.
88 if test "x$as_myself" = x; then
89   as_myself=$0
90 fi
91 if test ! -f "$as_myself"; then
92   echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93   { (exit 1); exit 1; }
94 fi
95
96 # Work around bugs in pre-3.0 UWIN ksh.
97 for as_var in ENV MAIL MAILPATH
98 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99 done
100 PS1='$ '
101 PS2='> '
102 PS4='+ '
103
104 # NLS nuisances.
105 for as_var in \
106   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108   LC_TELEPHONE LC_TIME
109 do
110   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111     eval $as_var=C; export $as_var
112   else
113     ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114   fi
115 done
116
117 # Required to use basename.
118 if expr a : '\(a\)' >/dev/null 2>&1 &&
119    test "X`expr 00001 : '.*\(...\)'`" = X001; then
120   as_expr=expr
121 else
122   as_expr=false
123 fi
124
125 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126   as_basename=basename
127 else
128   as_basename=false
129 fi
130
131
132 # Name of the executable.
133 as_me=`$as_basename -- "$0" ||
134 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135          X"$0" : 'X\(//\)$' \| \
136          X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137 echo X/"$0" |
138     sed '/^.*\/\([^/][^/]*\)\/*$/{
139             s//\1/
140             q
141           }
142           /^X\/\(\/\/\)$/{
143             s//\1/
144             q
145           }
146           /^X\/\(\/\).*/{
147             s//\1/
148             q
149           }
150           s/.*/./; q'`
151
152 # CDPATH.
153 $as_unset CDPATH
154
155
156
157   as_lineno_1=$LINENO
158   as_lineno_2=$LINENO
159   test "x$as_lineno_1" != "x$as_lineno_2" &&
160   test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
161
162   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163   # uniformly replaced by the line number.  The first 'sed' inserts a
164   # line-number line after each line using $LINENO; the second 'sed'
165   # does the real work.  The second script uses 'N' to pair each
166   # line-number line with the line containing $LINENO, and appends
167   # trailing '-' during substitution so that $LINENO is not a special
168   # case at line end.
169   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170   # scripts with optimization help from Paolo Bonzini.  Blame Lee
171   # E. McMahon (1931-1989) for sed's syntax.  :-)
172   sed -n '
173     p
174     /[$]LINENO/=
175   ' <$as_myself |
176     sed '
177       s/[$]LINENO.*/&-/
178       t lineno
179       b
180       :lineno
181       N
182       :loop
183       s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184       t loop
185       s/-\n.*//
186     ' >$as_me.lineno &&
187   chmod +x "$as_me.lineno" ||
188     { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189    { (exit 1); exit 1; }; }
190
191   # Don't try to exec as it changes $[0], causing all sort of problems
192   # (the dirname of $[0] is not the place where we might find the
193   # original and so on.  Autoconf is especially sensitive to this).
194   . "./$as_me.lineno"
195   # Exit status is that of the last command.
196   exit
197 }
198
199
200 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201   as_dirname=dirname
202 else
203   as_dirname=false
204 fi
205
206 ECHO_C= ECHO_N= ECHO_T=
207 case `echo -n x` in
208 -n*)
209   case `echo 'x\c'` in
210   *c*) ECHO_T=' ';;     # ECHO_T is single tab character.
211   *)   ECHO_C='\c';;
212   esac;;
213 *)
214   ECHO_N='-n';;
215 esac
216
217 if expr a : '\(a\)' >/dev/null 2>&1 &&
218    test "X`expr 00001 : '.*\(...\)'`" = X001; then
219   as_expr=expr
220 else
221   as_expr=false
222 fi
223
224 rm -f conf$$ conf$$.exe conf$$.file
225 if test -d conf$$.dir; then
226   rm -f conf$$.dir/conf$$.file
227 else
228   rm -f conf$$.dir
229   mkdir conf$$.dir
230 fi
231 echo >conf$$.file
232 if ln -s conf$$.file conf$$ 2>/dev/null; then
233   as_ln_s='ln -s'
234   # ... but there are two gotchas:
235   # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236   # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237   # In both cases, we have to default to `cp -p'.
238   ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239     as_ln_s='cp -p'
240 elif ln conf$$.file conf$$ 2>/dev/null; then
241   as_ln_s=ln
242 else
243   as_ln_s='cp -p'
244 fi
245 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246 rmdir conf$$.dir 2>/dev/null
247
248 if mkdir -p . 2>/dev/null; then
249   as_mkdir_p=:
250 else
251   test -d ./-p && rmdir ./-p
252   as_mkdir_p=false
253 fi
254
255 if test -x / >/dev/null 2>&1; then
256   as_test_x='test -x'
257 else
258   if ls -dL / >/dev/null 2>&1; then
259     as_ls_L_option=L
260   else
261     as_ls_L_option=
262   fi
263   as_test_x='
264     eval sh -c '\''
265       if test -d "$1"; then
266         test -d "$1/.";
267       else
268         case $1 in
269         -*)set "./$1";;
270         esac;
271         case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272         ???[sx]*):;;*)false;;esac;fi
273     '\'' sh
274   '
275 fi
276 as_executable_p=$as_test_x
277
278 # Sed expression to map a string onto a valid CPP name.
279 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
280
281 # Sed expression to map a string onto a valid variable name.
282 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
283
284
285 exec 6>&1
286
287 # Save the log message, to keep $[0] and so on meaningful, and to
288 # report actual input values of CONFIG_FILES etc. instead of their
289 # values after options handling.
290 ac_log="
291 This file was extended by yandex-fotki-sharing-plugin $as_me 0.1, which was
292 generated by GNU Autoconf 2.61.  Invocation command line was
293
294   CONFIG_FILES    = $CONFIG_FILES
295   CONFIG_HEADERS  = $CONFIG_HEADERS
296   CONFIG_LINKS    = $CONFIG_LINKS
297   CONFIG_COMMANDS = $CONFIG_COMMANDS
298   $ $0 $@
299
300 on `(hostname || uname -n) 2>/dev/null | sed 1q`
301 "
302
303 # Files that config.status was made for.
304 config_files=" Makefile data/Makefile data/yandexfotki.service.xml src/Makefile"
305 config_headers=" config.h"
306 config_commands=" depfiles"
307
308 ac_cs_usage="\
309 \`$as_me' instantiates files from templates according to the
310 current configuration.
311
312 Usage: $0 [OPTIONS] [FILE]...
313
314   -h, --help       print this help, then exit
315   -V, --version    print version number and configuration settings, then exit
316   -q, --quiet      do not print progress messages
317   -d, --debug      don't remove temporary files
318       --recheck    update $as_me by reconfiguring in the same conditions
319   --file=FILE[:TEMPLATE]
320                    instantiate the configuration file FILE
321   --header=FILE[:TEMPLATE]
322                    instantiate the configuration header FILE
323
324 Configuration files:
325 $config_files
326
327 Configuration headers:
328 $config_headers
329
330 Configuration commands:
331 $config_commands
332
333 Report bugs to <bug-autoconf@gnu.org>."
334
335 ac_cs_version="\
336 yandex-fotki-sharing-plugin config.status 0.1
337 configured by ./configure, generated by GNU Autoconf 2.61,
338   with options \"'CFLAGS=-O2 -g' 'CXXFLAGS=-O2 -g'\"
339
340 Copyright (C) 2006 Free Software Foundation, Inc.
341 This config.status script is free software; the Free Software Foundation
342 gives unlimited permission to copy, distribute and modify it."
343
344 ac_pwd='/home/hitosu/workspace/Maemo.Yandex.Fotki'
345 srcdir='.'
346 INSTALL='/scratchbox/tools/bin/install -c'
347 # If no file are specified by the user, then we need to provide default
348 # value.  By we need to know if files were specified by the user.
349 ac_need_defaults=:
350 while test $# != 0
351 do
352   case $1 in
353   --*=*)
354     ac_option=`expr "X$1" : 'X\([^=]*\)='`
355     ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
356     ac_shift=:
357     ;;
358   *)
359     ac_option=$1
360     ac_optarg=$2
361     ac_shift=shift
362     ;;
363   esac
364
365   case $ac_option in
366   # Handling of the options.
367   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
368     ac_cs_recheck=: ;;
369   --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
370     echo "$ac_cs_version"; exit ;;
371   --debug | --debu | --deb | --de | --d | -d )
372     debug=: ;;
373   --file | --fil | --fi | --f )
374     $ac_shift
375     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
376     ac_need_defaults=false;;
377   --header | --heade | --head | --hea )
378     $ac_shift
379     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
380     ac_need_defaults=false;;
381   --he | --h)
382     # Conflict between --help and --header
383     { echo "$as_me: error: ambiguous option: $1
384 Try \`$0 --help' for more information." >&2
385    { (exit 1); exit 1; }; };;
386   --help | --hel | -h )
387     echo "$ac_cs_usage"; exit ;;
388   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
389   | -silent | --silent | --silen | --sile | --sil | --si | --s)
390     ac_cs_silent=: ;;
391
392   # This is an error.
393   -*) { echo "$as_me: error: unrecognized option: $1
394 Try \`$0 --help' for more information." >&2
395    { (exit 1); exit 1; }; } ;;
396
397   *) ac_config_targets="$ac_config_targets $1"
398      ac_need_defaults=false ;;
399
400   esac
401   shift
402 done
403
404 ac_configure_extra_args=
405
406 if $ac_cs_silent; then
407   exec 6>/dev/null
408   ac_configure_extra_args="$ac_configure_extra_args --silent"
409 fi
410
411 if $ac_cs_recheck; then
412   echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " 'CFLAGS=-O2 -g' 'CXXFLAGS=-O2 -g' $ac_configure_extra_args " --no-create --no-recursion" >&6
413   CONFIG_SHELL=/bin/sh
414   export CONFIG_SHELL
415   exec /bin/sh "./configure" 'CFLAGS=-O2 -g' 'CXXFLAGS=-O2 -g' $ac_configure_extra_args --no-create --no-recursion
416 fi
417
418 exec 5>>config.log
419 {
420   echo
421   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
422 ## Running $as_me. ##
423 _ASBOX
424   echo "$ac_log"
425 } >&5
426
427 #
428 # INIT-COMMANDS
429 #
430 AMDEP_TRUE="" ac_aux_dir="."
431
432
433 # Handling of arguments.
434 for ac_config_target in $ac_config_targets
435 do
436   case $ac_config_target in
437     "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
438     "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
439     "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
440     "data/Makefile") CONFIG_FILES="$CONFIG_FILES data/Makefile" ;;
441     "data/yandexfotki.service.xml") CONFIG_FILES="$CONFIG_FILES data/yandexfotki.service.xml" ;;
442     "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
443
444   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
445 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
446    { (exit 1); exit 1; }; };;
447   esac
448 done
449
450
451 # If the user did not use the arguments to specify the items to instantiate,
452 # then the envvar interface is used.  Set only those that are not.
453 # We use the long form for the default assignment because of an extremely
454 # bizarre bug on SunOS 4.1.3.
455 if $ac_need_defaults; then
456   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
457   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
458   test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
459 fi
460
461 # Have a temporary directory for convenience.  Make it in the build tree
462 # simply because there is no reason against having it here, and in addition,
463 # creating and moving files from /tmp can sometimes cause problems.
464 # Hook for its removal unless debugging.
465 # Note that there is a small window in which the directory will not be cleaned:
466 # after its creation but before its name has been assigned to `$tmp'.
467 $debug ||
468 {
469   tmp=
470   trap 'exit_status=$?
471   { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
472 ' 0
473   trap '{ (exit 1); exit 1; }' 1 2 13 15
474 }
475 # Create a (secure) tmp directory for tmp files.
476
477 {
478   tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
479   test -n "$tmp" && test -d "$tmp"
480 }  ||
481 {
482   tmp=./conf$$-$RANDOM
483   (umask 077 && mkdir "$tmp")
484 } ||
485 {
486    echo "$me: cannot create a temporary directory in ." >&2
487    { (exit 1); exit 1; }
488 }
489
490 #
491 # Set up the sed scripts for CONFIG_FILES section.
492 #
493
494 # No need to generate the scripts if there are no CONFIG_FILES.
495 # This happens for instance when ./config.status config.h
496 if test -n "$CONFIG_FILES"; then
497
498 cat >"$tmp/subs-1.sed" <<\CEOF
499 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
500 s,@SHELL@,|#_!!_#|/bin/sh,g
501 s,@PATH_SEPARATOR@,|#_!!_#|:,g
502 s,@PACKAGE_NAME@,|#_!!_#|yandex-fotki-sharing-plugin,g
503 s,@PACKAGE_TARNAME@,|#_!!_#|yandex-fotki-sharing-plugin,g
504 s,@PACKAGE_VERSION@,|#_!!_#|0.1,g
505 s,@PACKAGE_STRING@,|#_!!_#|yandex-fotki-sharing-plugin 0.1,g
506 s,@PACKAGE_BUGREPORT@,|#_!!_#|,g
507 s,@exec_prefix@,|#_!!_#|${prefix},g
508 s,@prefix@,|#_!!_#|/usr/local,g
509 s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
510 s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
511 s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
512 s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
513 s,@datarootdir@,|#_!!_#|${prefix}/share,g
514 s,@datadir@,|#_!!_#|${datarootdir},g
515 s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
516 s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
517 s,@localstatedir@,|#_!!_#|${prefix}/var,g
518 s,@includedir@,|#_!!_#|${prefix}/include,g
519 s,@oldincludedir@,|#_!!_#|/usr/include,g
520 s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
521 s,@infodir@,|#_!!_#|${datarootdir}/info,g
522 s,@htmldir@,|#_!!_#|${docdir},g
523 s,@dvidir@,|#_!!_#|${docdir},g
524 s,@pdfdir@,|#_!!_#|${docdir},g
525 s,@psdir@,|#_!!_#|${docdir},g
526 s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
527 s,@localedir@,|#_!!_#|${datarootdir}/locale,g
528 s,@mandir@,|#_!!_#|${datarootdir}/man,g
529 s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
530 s,@ECHO_C@,|#_!!_#|,g
531 s,@ECHO_N@,|#_!!_#|-n,g
532 s,@ECHO_T@,|#_!!_#|,g
533 s,@LIBS@,|#_!!_#|,g
534 s,@build_alias@,|#_!!_#|,g
535 s,@host_alias@,|#_!!_#|,g
536 s,@target_alias@,|#_!!_#|,g
537 s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
538 s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
539 s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
540 s,@CYGPATH_W@,|#_!!_#|echo,g
541 s,@PACKAGE@,|#_!!_#|yandex-fotki-sharing-plugin,g
542 s,@VERSION@,|#_!!_#|0.1,g
543 s,@ACLOCAL@,|#_!!_#|${SHELL} /home/hitosu/workspace/Maemo.Yandex.Fotki/missing --run aclocal-1.8,g
544 s,@AUTOCONF@,|#_!!_#|${SHELL} /home/hitosu/workspace/Maemo.Yandex.Fotki/missing --run autoconf,g
545 s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/hitosu/workspace/Maemo.Yandex.Fotki/missing --run automake-1.8,g
546 s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/hitosu/workspace/Maemo.Yandex.Fotki/missing --run autoheader,g
547 s,@MAKEINFO@,|#_!!_#|${SHELL} /home/hitosu/workspace/Maemo.Yandex.Fotki/missing --run makeinfo,g
548 s,@AMTAR@,|#_!!_#|${SHELL} /home/hitosu/workspace/Maemo.Yandex.Fotki/missing --run tar,g
549 s,@install_sh@,|#_!!_#|/home/hitosu/workspace/Maemo.Yandex.Fotki/install-sh,g
550 s,@STRIP@,|#_!!_#|strip,g
551 s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|${SHELL} $(install_sh) -c -s,g
552 s,@mkdir_p@,|#_!!_#|mkdir -p -- .,g
553 s,@AWK@,|#_!!_#|gawk,g
554 s,@SET_MAKE@,|#_!!_#|,g
555 s,@am__leading_dot@,|#_!!_#|.,g
556 s,@MAINTAINER_MODE_TRUE@,|#_!!_#|#,g
557 s,@MAINTAINER_MODE_FALSE@,|#_!!_#|,g
558 s,@MAINT@,|#_!!_#|#,g
559 s,@CC@,|#_!!_#|gcc,g
560 s,@CFLAGS@,|#_!!_#|-O2 -g -pedantic-errors -Wall -Wmissing-prototypes -Wcast-align -std=c99 -fgnu89-inline,g
561 s,@LDFLAGS@,|#_!!_#|,g
562 s,@CPPFLAGS@,|#_!!_#|,g
563 s,@ac_ct_CC@,|#_!!_#|gcc,g
564 s,@EXEEXT@,|#_!!_#|,g
565 s,@OBJEXT@,|#_!!_#|o,g
566 s,@DEPDIR@,|#_!!_#|.deps,g
567 s,@am__include@,|#_!!_#|include,g
568 s,@am__quote@,|#_!!_#|,g
569 s,@AMDEP_TRUE@,|#_!!_#|,g
570 s,@AMDEP_FALSE@,|#_!!_#|#,g
571 s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
572 s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
573 s,@am__fastdepCC_TRUE@,|#_!!_#|,g
574 s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
575 s,@CXX@,|#_!!_#|g++,g
576 s,@CXXFLAGS@,|#_!!_#|-O2 -g,g
577 s,@ac_ct_CXX@,|#_!!_#|g++,g
578 s,@CXXDEPMODE@,|#_!!_#|depmode=gcc3,g
579 s,@am__fastdepCXX_TRUE@,|#_!!_#|,g
580 s,@am__fastdepCXX_FALSE@,|#_!!_#|#,g
581 s,@CPP@,|#_!!_#|gcc -E,g
582 s,@GREP@,|#_!!_#|/scratchbox/tools/bin/grep,g
583 s,@EGREP@,|#_!!_#|/scratchbox/tools/bin/grep -E,g
584 s,@LN_S@,|#_!!_#|ln -s,g
585 s,@build@,|#_!!_#|arm-unknown-linux-gnu,g
586 s,@build_cpu@,|#_!!_#|arm,g
587 s,@build_vendor@,|#_!!_#|unknown,g
588 s,@build_os@,|#_!!_#|linux-gnu,g
589 s,@host@,|#_!!_#|arm-unknown-linux-gnu,g
590 s,@host_cpu@,|#_!!_#|arm,g
591 s,@host_vendor@,|#_!!_#|unknown,g
592 s,@host_os@,|#_!!_#|linux-gnu,g
593 s,@SED@,|#_!!_#|/scratchbox/tools/bin/sed,g
594 s,@ECHO@,|#_!!_#|echo,g
595 s,@AR@,|#_!!_#|ar,g
596 s,@RANLIB@,|#_!!_#|ranlib,g
597 CEOF
598 cat >"$tmp/subs-2.sed" <<\CEOF
599 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
600 s,@DSYMUTIL@,|#_!!_#|,g
601 s,@NMEDIT@,|#_!!_#|,g
602 s,@CXXCPP@,|#_!!_#|g++ -E,g
603 s,@F77@,|#_!!_#|,g
604 s,@FFLAGS@,|#_!!_#|,g
605 s,@ac_ct_F77@,|#_!!_#|,g
606 s,@LIBTOOL@,|#_!!_#|$(SHELL) $(top_builddir)/libtool,g
607 s,@PKG_CONFIG@,|#_!!_#|/scratchbox/tools/bin/pkg-config,g
608 s,@PACKAGE_CFLAGS@,|#_!!_#|-DMAEMO_CHANGES -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/libsharing -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/libxml2  ,g
609 s,@PACKAGE_LIBS@,|#_!!_#|-lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgmodule-2.0 -lsharing -lconic -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0 -lxml2 -lcurl  ,g
610 s,@SHARING_CFLAGS@,|#_!!_#|-I/usr/include/libsharing -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  ,g
611 s,@SHARING_LIBS@,|#_!!_#|-lsharing -lconic -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  ,g
612 s,@XML_CFLAGS@,|#_!!_#|-I/usr/include/libxml2  ,g
613 s,@XML_LIBS@,|#_!!_#|-lxml2  ,g
614 s,@CURL_CFLAGS@,|#_!!_#| ,g
615 s,@CURL_LIBS@,|#_!!_#|-lcurl  ,g
616 s,@currentdir@,|#_!!_#|/home/hitosu/workspace/Maemo.Yandex.Fotki,g
617 s,@pluginsdir@,|#_!!_#|/usr/lib/sharing/plugins,g
618 s,@servicesdir@,|#_!!_#|/usr/share/sharing/services,g
619 s,@DEBUG_CFLAGS@,|#_!!_#|,g
620 s,@PACKAGE_LOCALE_DIR@,|#_!!_#|,g
621 s,@LIBOBJS@,|#_!!_#|,g
622 s,@LTLIBOBJS@,|#_!!_#|,g
623 :end
624 s/|#_!!_#|//g
625 CEOF
626 fi # test -n "$CONFIG_FILES"
627
628
629 for ac_tag in  :F $CONFIG_FILES  :H $CONFIG_HEADERS    :C $CONFIG_COMMANDS
630 do
631   case $ac_tag in
632   :[FHLC]) ac_mode=$ac_tag; continue;;
633   esac
634   case $ac_mode$ac_tag in
635   :[FHL]*:*);;
636   :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
637 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
638    { (exit 1); exit 1; }; };;
639   :[FH]-) ac_tag=-:-;;
640   :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
641   esac
642   ac_save_IFS=$IFS
643   IFS=:
644   set x $ac_tag
645   IFS=$ac_save_IFS
646   shift
647   ac_file=$1
648   shift
649
650   case $ac_mode in
651   :L) ac_source=$1;;
652   :[FH])
653     ac_file_inputs=
654     for ac_f
655     do
656       case $ac_f in
657       -) ac_f="$tmp/stdin";;
658       *) # Look for the file first in the build tree, then in the source tree
659          # (if the path is not absolute).  The absolute path cannot be DOS-style,
660          # because $ac_f cannot contain `:'.
661          test -f "$ac_f" ||
662            case $ac_f in
663            [\\/$]*) false;;
664            *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
665            esac ||
666            { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
667 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
668    { (exit 1); exit 1; }; };;
669       esac
670       ac_file_inputs="$ac_file_inputs $ac_f"
671     done
672
673     # Let's still pretend it is `configure' which instantiates (i.e., don't
674     # use $as_me), people would be surprised to read:
675     #    /* config.h.  Generated by config.status.  */
676     configure_input="Generated from "`IFS=:
677           echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
678     if test x"$ac_file" != x-; then
679       configure_input="$ac_file.  $configure_input"
680       { echo "$as_me:$LINENO: creating $ac_file" >&5
681 echo "$as_me: creating $ac_file" >&6;}
682     fi
683
684     case $ac_tag in
685     *:-:* | *:-) cat >"$tmp/stdin";;
686     esac
687     ;;
688   esac
689
690   ac_dir=`$as_dirname -- "$ac_file" ||
691 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
692          X"$ac_file" : 'X\(//\)[^/]' \| \
693          X"$ac_file" : 'X\(//\)$' \| \
694          X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
695 echo X"$ac_file" |
696     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
697             s//\1/
698             q
699           }
700           /^X\(\/\/\)[^/].*/{
701             s//\1/
702             q
703           }
704           /^X\(\/\/\)$/{
705             s//\1/
706             q
707           }
708           /^X\(\/\).*/{
709             s//\1/
710             q
711           }
712           s/.*/./; q'`
713   { as_dir="$ac_dir"
714   case $as_dir in #(
715   -*) as_dir=./$as_dir;;
716   esac
717   test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
718     as_dirs=
719     while :; do
720       case $as_dir in #(
721       *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
722       *) as_qdir=$as_dir;;
723       esac
724       as_dirs="'$as_qdir' $as_dirs"
725       as_dir=`$as_dirname -- "$as_dir" ||
726 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
727          X"$as_dir" : 'X\(//\)[^/]' \| \
728          X"$as_dir" : 'X\(//\)$' \| \
729          X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
730 echo X"$as_dir" |
731     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
732             s//\1/
733             q
734           }
735           /^X\(\/\/\)[^/].*/{
736             s//\1/
737             q
738           }
739           /^X\(\/\/\)$/{
740             s//\1/
741             q
742           }
743           /^X\(\/\).*/{
744             s//\1/
745             q
746           }
747           s/.*/./; q'`
748       test -d "$as_dir" && break
749     done
750     test -z "$as_dirs" || eval "mkdir $as_dirs"
751   } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
752 echo "$as_me: error: cannot create directory $as_dir" >&2;}
753    { (exit 1); exit 1; }; }; }
754   ac_builddir=.
755
756 case "$ac_dir" in
757 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
758 *)
759   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
760   # A ".." for each directory in $ac_dir_suffix.
761   ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
762   case $ac_top_builddir_sub in
763   "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
764   *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
765   esac ;;
766 esac
767 ac_abs_top_builddir=$ac_pwd
768 ac_abs_builddir=$ac_pwd$ac_dir_suffix
769 # for backward compatibility:
770 ac_top_builddir=$ac_top_build_prefix
771
772 case $srcdir in
773   .)  # We are building in place.
774     ac_srcdir=.
775     ac_top_srcdir=$ac_top_builddir_sub
776     ac_abs_top_srcdir=$ac_pwd ;;
777   [\\/]* | ?:[\\/]* )  # Absolute name.
778     ac_srcdir=$srcdir$ac_dir_suffix;
779     ac_top_srcdir=$srcdir
780     ac_abs_top_srcdir=$srcdir ;;
781   *) # Relative name.
782     ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
783     ac_top_srcdir=$ac_top_build_prefix$srcdir
784     ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
785 esac
786 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
787
788
789   case $ac_mode in
790   :F)
791   #
792   # CONFIG_FILE
793   #
794
795   case $INSTALL in
796   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
797   *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
798   esac
799 # If the template does not know about datarootdir, expand it.
800 # FIXME: This hack should be removed a few years after 2.60.
801 ac_datarootdir_hack=; ac_datarootdir_seen=
802
803 case `sed -n '/datarootdir/ {
804   p
805   q
806 }
807 /@datadir@/p
808 /@docdir@/p
809 /@infodir@/p
810 /@localedir@/p
811 /@mandir@/p
812 ' $ac_file_inputs` in
813 *datarootdir*) ac_datarootdir_seen=yes;;
814 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
815   { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
816 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
817   ac_datarootdir_hack='
818   s&@datadir@&${datarootdir}&g
819   s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
820   s&@infodir@&${datarootdir}/info&g
821   s&@localedir@&${datarootdir}/locale&g
822   s&@mandir@&${datarootdir}/man&g
823     s&\${datarootdir}&${prefix}/share&g' ;;
824 esac
825   sed "/^[       ]*VPATH[        ]*=/{
826 s/:*\$(srcdir):*/:/
827 s/:*\${srcdir}:*/:/
828 s/:*@srcdir@:*/:/
829 s/^\([^=]*=[     ]*\):*/\1/
830 s/:*$//
831 s/^[^=]*=[       ]*$//
832 }
833
834 :t
835 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
836 s&@configure_input@&$configure_input&;t t
837 s&@top_builddir@&$ac_top_builddir_sub&;t t
838 s&@srcdir@&$ac_srcdir&;t t
839 s&@abs_srcdir@&$ac_abs_srcdir&;t t
840 s&@top_srcdir@&$ac_top_srcdir&;t t
841 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
842 s&@builddir@&$ac_builddir&;t t
843 s&@abs_builddir@&$ac_abs_builddir&;t t
844 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
845 s&@INSTALL@&$ac_INSTALL&;t t
846 $ac_datarootdir_hack
847 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
848
849 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
850   { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
851   { ac_out=`sed -n '/^[  ]*datarootdir[  ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
852   { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
853 which seems to be undefined.  Please make sure it is defined." >&5
854 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
855 which seems to be undefined.  Please make sure it is defined." >&2;}
856
857   rm -f "$tmp/stdin"
858   case $ac_file in
859   -) cat "$tmp/out"; rm -f "$tmp/out";;
860   *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
861   esac
862  ;;
863   :H)
864   #
865   # CONFIG_HEADER
866   #
867     # First, check the format of the line:
868     cat >"$tmp/defines.sed" <<\CEOF
869 /^[      ]*#[    ]*undef[        ][      ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[    ]*$/b def
870 /^[      ]*#[    ]*define[       ][      ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(   ]/b def
871 b
872 :def
873 s/$/ /
874 s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_NAME\)[       (].*,\1define\2 "yandex-fotki-sharing-plugin" ,
875 s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_TARNAME\)[    (].*,\1define\2 "yandex-fotki-sharing-plugin" ,
876 s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_VERSION\)[    (].*,\1define\2 "0.1" ,
877 s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_STRING\)[     (].*,\1define\2 "yandex-fotki-sharing-plugin 0.1" ,
878 s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_BUGREPORT\)[  (].*,\1define\2 "" ,
879 s,^\([   #]*\)[^         ]*\([   ]*PACKAGE\)[    (].*,\1define\2 "yandex-fotki-sharing-plugin" ,
880 s,^\([   #]*\)[^         ]*\([   ]*VERSION\)[    (].*,\1define\2 "0.1" ,
881 s,^\([   #]*\)[^         ]*\([   ]*STDC_HEADERS\)[       (].*,\1define\2 1 ,
882 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_TYPES_H\)[   (].*,\1define\2 1 ,
883 s,^\([   #]*\)[^         ]*\([   ]*HAVE_SYS_STAT_H\)[    (].*,\1define\2 1 ,
884 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDLIB_H\)[      (].*,\1define\2 1 ,
885 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRING_H\)[      (].*,\1define\2 1 ,
886 s,^\([   #]*\)[^         ]*\([   ]*HAVE_MEMORY_H\)[      (].*,\1define\2 1 ,
887 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STRINGS_H\)[     (].*,\1define\2 1 ,
888 s,^\([   #]*\)[^         ]*\([   ]*HAVE_INTTYPES_H\)[    (].*,\1define\2 1 ,
889 s,^\([   #]*\)[^         ]*\([   ]*HAVE_STDINT_H\)[      (].*,\1define\2 1 ,
890 s,^\([   #]*\)[^         ]*\([   ]*HAVE_UNISTD_H\)[      (].*,\1define\2 1 ,
891 s,^\([   #]*\)[^         ]*\([   ]*HAVE_DLFCN_H\)[       (].*,\1define\2 1 ,
892 s,^\([   #]*\)[^         ]*\([   ]*PACKAGE_LOCALE_DIR\)[         (].*,\1define\2 "/usr/local/share/locale" ,
893 s/ $//
894 s,^[     #]*u.*,/* & */,
895 CEOF
896     sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
897 ac_result="$tmp/out1"
898   if test x"$ac_file" != x-; then
899     echo "/* $configure_input  */" >"$tmp/config.h"
900     cat "$ac_result" >>"$tmp/config.h"
901     if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
902       { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
903 echo "$as_me: $ac_file is unchanged" >&6;}
904     else
905       rm -f $ac_file
906       mv "$tmp/config.h" $ac_file
907     fi
908   else
909     echo "/* $configure_input  */"
910     cat "$ac_result"
911   fi
912   rm -f "$tmp/out12"
913 # Compute $ac_file's index in $config_headers.
914 _am_stamp_count=1
915 for _am_header in $config_headers :; do
916   case $_am_header in
917     $ac_file | $ac_file:* )
918       break ;;
919     * )
920       _am_stamp_count=`expr $_am_stamp_count + 1` ;;
921   esac
922 done
923 echo "timestamp for $ac_file" >`$as_dirname -- $ac_file ||
924 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
925          X$ac_file : 'X\(//\)[^/]' \| \
926          X$ac_file : 'X\(//\)$' \| \
927          X$ac_file : 'X\(/\)' \| . 2>/dev/null ||
928 echo X$ac_file |
929     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
930             s//\1/
931             q
932           }
933           /^X\(\/\/\)[^/].*/{
934             s//\1/
935             q
936           }
937           /^X\(\/\/\)$/{
938             s//\1/
939             q
940           }
941           /^X\(\/\).*/{
942             s//\1/
943             q
944           }
945           s/.*/./; q'`/stamp-h$_am_stamp_count
946  ;;
947
948   :C)  { echo "$as_me:$LINENO: executing $ac_file commands" >&5
949 echo "$as_me: executing $ac_file commands" >&6;}
950  ;;
951   esac
952
953
954   case $ac_file$ac_mode in
955     "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
956   # Strip MF so we end up with the name of the file.
957   mf=`echo "$mf" | sed -e 's/:.*$//'`
958   # Check whether this is an Automake generated Makefile or not.
959   # We used to match only the files named `Makefile.in', but
960   # some people rename them; so instead we look at the file content.
961   # Grep'ing the first line is not enough: some people post-process
962   # each Makefile.in and add a new line on top of each file to say so.
963   # So let's grep whole file.
964   if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
965     dirpart=`$as_dirname -- "$mf" ||
966 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
967          X"$mf" : 'X\(//\)[^/]' \| \
968          X"$mf" : 'X\(//\)$' \| \
969          X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
970 echo X"$mf" |
971     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
972             s//\1/
973             q
974           }
975           /^X\(\/\/\)[^/].*/{
976             s//\1/
977             q
978           }
979           /^X\(\/\/\)$/{
980             s//\1/
981             q
982           }
983           /^X\(\/\).*/{
984             s//\1/
985             q
986           }
987           s/.*/./; q'`
988   else
989     continue
990   fi
991   grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
992   # Extract the definition of DEP_FILES from the Makefile without
993   # running `make'.
994   DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
995   test -z "$DEPDIR" && continue
996   # When using ansi2knr, U may be empty or an underscore; expand it
997   U=`sed -n 's/^U = //p' < "$mf"`
998   test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
999   # We invoke sed twice because it is the simplest approach to
1000   # changing $(DEPDIR) to its actual value in the expansion.
1001   for file in `sed -n '
1002     /^DEP_FILES = .*\\\\$/ {
1003       s/^DEP_FILES = //
1004       :loop
1005         s/\\\\$//
1006         p
1007         n
1008         /\\\\$/ b loop
1009       p
1010     }
1011     /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
1012        sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1013     # Make sure the directory exists.
1014     test -f "$dirpart/$file" && continue
1015     fdir=`$as_dirname -- "$file" ||
1016 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1017          X"$file" : 'X\(//\)[^/]' \| \
1018          X"$file" : 'X\(//\)$' \| \
1019          X"$file" : 'X\(/\)' \| . 2>/dev/null ||
1020 echo X"$file" |
1021     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1022             s//\1/
1023             q
1024           }
1025           /^X\(\/\/\)[^/].*/{
1026             s//\1/
1027             q
1028           }
1029           /^X\(\/\/\)$/{
1030             s//\1/
1031             q
1032           }
1033           /^X\(\/\).*/{
1034             s//\1/
1035             q
1036           }
1037           s/.*/./; q'`
1038     { as_dir=$dirpart/$fdir
1039   case $as_dir in #(
1040   -*) as_dir=./$as_dir;;
1041   esac
1042   test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1043     as_dirs=
1044     while :; do
1045       case $as_dir in #(
1046       *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
1047       *) as_qdir=$as_dir;;
1048       esac
1049       as_dirs="'$as_qdir' $as_dirs"
1050       as_dir=`$as_dirname -- "$as_dir" ||
1051 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1052          X"$as_dir" : 'X\(//\)[^/]' \| \
1053          X"$as_dir" : 'X\(//\)$' \| \
1054          X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1055 echo X"$as_dir" |
1056     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1057             s//\1/
1058             q
1059           }
1060           /^X\(\/\/\)[^/].*/{
1061             s//\1/
1062             q
1063           }
1064           /^X\(\/\/\)$/{
1065             s//\1/
1066             q
1067           }
1068           /^X\(\/\).*/{
1069             s//\1/
1070             q
1071           }
1072           s/.*/./; q'`
1073       test -d "$as_dir" && break
1074     done
1075     test -z "$as_dirs" || eval "mkdir $as_dirs"
1076   } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
1077 echo "$as_me: error: cannot create directory $as_dir" >&2;}
1078    { (exit 1); exit 1; }; }; }
1079     # echo "creating $dirpart/$file"
1080     echo '# dummy' > "$dirpart/$file"
1081   done
1082 done
1083  ;;
1084
1085   esac
1086 done # for ac_tag
1087
1088
1089 { (exit 0); exit 0; }